## iprutils 2.4.0

=== Makefile ===
# (C) Copyright 2000, 2001
# International Business Machines Corporation and others.
# All Rights Reserved. This program and the accompanying
# materials are made available under the terms of the
# Common Public License v1.0 which accompanies this distribution.

INCLUDEDIR = -I. -I/usr/include/ncurses
CC = gcc

include version.mk

CFLAGS = -g -Wall $(IPR_DEFINES)
UTILS_VER = $(IPR_MAJOR_RELEASE).$(IPR_MINOR_RELEASE).$(IPR_FIX_LEVEL)
TAR = cd .. && tar -zcpf iprutils-$(UTILS_VER)-src.tgz --exclude CVS --exclude applied-patches --exclude series --exclude txt --exclude pc --exclude patches --exclude debug --exclude *~* iprutils

all: iprconfig iprupdate iprdump iprinit iprdbg docs 

iprconfig: iprconfig.c iprlib.o iprconfig.h
	$(CC) $(CFLAGS) $(INCLUDEDIR) -o iprconfig iprconfig.c iprlib.o -lform -lpanel -lncurses -lmenu

iprupdate: iprupdate.c iprlib.o
	$(CC) $(CFLAGS) $(INCLUDEDIR) -o iprupdate iprlib.o iprupdate.c

iprdump:iprdump.c iprlib.o
	$(CC) $(CFLAGS) $(INCLUDEDIR) -o iprdump iprlib.o iprdump.c

iprinit:iprinit.c iprlib.o
	$(CC) $(CFLAGS) $(INCLUDEDIR) -o iprinit iprlib.o iprinit.c

iprdbg:iprdbg.c iprlib.o
	$(CC) $(CFLAGS) $(INCLUDEDIR) -o iprdbg iprlib.o iprdbg.c

iprucode:iprucode.c iprlib.o
	$(CC) $(CFLAGS) $(INCLUDEDIR) -o iprucode iprlib.o iprucode.c

iprlib.o: iprlib.c iprlib.h
	$(CC) $(CFLAGS) $(INCLUDEDIR) -o iprlib.o -c iprlib.c

%.8.gz : %.8
	gzip -f -c $< > $<.gz

%.nroff : %.8
	nroff -Tascii -man $< > $@

%.ps : %.nroff
	a2ps -B --columns=1 -R -o $@ $<

%.pdf : %.ps
	ps2pdf $< $@

%.html : %.8
	groff -Thtml -man $< > $@

docs : $(patsubst %.8,%.8.gz,$(wildcard *.8))

pdfs : $(patsubst %.8,%.pdf,$(wildcard *.8))

htmldocs : $(patsubst %.8,%.html,$(wildcard *.8))

utils: ./*.c ./*.h
	cd ..
	$(TAR)

clean:
	rm -f iprupdate iprconfig iprdump iprinit iprdbg *.o
	rm -f *.ps *.pdf *.nroff *.gz *.tgz *.rpm *.html

install: all
	install -d $(INSTALL_MOD_PATH)/sbin
	install --mode=755 iprconfig $(INSTALL_MOD_PATH)/sbin/iprconfig
	install --mode=755 iprupdate $(INSTALL_MOD_PATH)/sbin/iprupdate
	install --mode=755 iprdump $(INSTALL_MOD_PATH)/sbin/iprdump
	install --mode=755 iprinit $(INSTALL_MOD_PATH)/sbin/iprinit
	install --mode=700 iprdbg $(INSTALL_MOD_PATH)/sbin/iprdbg
	install -d $(INSTALL_MOD_PATH)/usr/share/man/man8
	install iprconfig.8.gz $(INSTALL_MOD_PATH)/usr/share/man/man8/iprconfig.8.gz
	install iprupdate.8.gz $(INSTALL_MOD_PATH)/usr/share/man/man8/iprupdate.8.gz
	install iprdump.8.gz $(INSTALL_MOD_PATH)/usr/share/man/man8/iprdump.8.gz
	install iprinit.8.gz $(INSTALL_MOD_PATH)/usr/share/man/man8/iprinit.8.gz

rpm: *.c *.h *.8
	-make clean
	cd ..
	$(TAR)
	mv ../iprutils-$(UTILS_VER)-src.tgz .
	rpmbuild --nodeps -ts iprutils-$(UTILS_VER)-src.tgz
	cp `rpm --eval '%{_srcrpmdir}'`/iprutils-$(UTILS_VER)-$(IPR_RELEASE).src.rpm .

=== debian/changelog ===
iprutils (2.4.0-1) unstable; urgency=low

  * Initial release (closes: #735200).  Based partially on packaging by
    Frederic Bonnard.

 -- Colin Watson <cjwatson@debian.org>  Thu, 03 Apr 2014 11:36:08 +0100

=== debian/control ===
Source: iprutils
Section: admin
Priority: extra
Maintainer: Colin Watson <cjwatson@debian.org>
Uploaders: Frederic Bonnard <frediz@linux.vnet.ibm.com>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9~), libncurses5-dev
Homepage: http://sourceforge.net/projects/iprdd/
Vcs-Git: git://anonscm.debian.org/collab-maint/iprutils.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/iprutils.git

Package: iprutils
Architecture: powerpc ppc64 ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 4.1+Debian3)
Description: userspace support for IBM Power Linux RAID SCSI driver
 A suite of utilities to manage and configure SCSI devices supported by the
 ipr SCSI storage device driver.

Package: iprutils-udeb
Section: debian-installer
Architecture: powerpc ppc64 ppc64el
Package-Type: udeb
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: userspace support for IBM Power Linux RAID SCSI driver
 A suite of utilities to manage and configure SCSI devices supported by the
 ipr SCSI storage device driver.

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	$(MAKE) install INSTALL_MOD_PATH=$(CURDIR)/debian/tmp

override_dh_install:
	dh_install
	chmod +x debian/iprutils/etc/ha.d/resource.d/iprha

override_dh_installinit:
	dh_installinit --name=iprinit
	dh_installinit --name=iprdump
	dh_installinit --name=iprupdate

## iprutils 2.4.4

=== debian/changelog ===
iprutils (2.4.4-1) unstable; urgency=medium

  * New upstream release:
    - Fix segmentation fault in concurrent add/remove GUI (LP: #1343366).
  * Add Breno Leitao to Uploaders.

 -- Colin Watson <cjwatson@debian.org>  Fri, 03 Oct 2014 15:54:53 +0100

iprutils (2.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Install upstream systemd units.

 -- Colin Watson <cjwatson@debian.org>  Thu, 12 Jun 2014 15:14:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: extra
 Maintainer: Colin Watson <cjwatson@debian.org>
-Uploaders: Frederic Bonnard <frediz@linux.vnet.ibm.com>
+Uploaders: Frederic Bonnard <frediz@linux.vnet.ibm.com>, Breno Leitao <brenohl@br.ibm.com>
 Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 9~), libncurses5-dev
+Build-Depends: debhelper (>= 9~), dh-systemd, libncurses5-dev
 Homepage: http://sourceforge.net/projects/iprdd/
 Vcs-Git: git://anonscm.debian.org/collab-maint/iprutils.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/iprutils.git

## iprutils 2.4.5

=== Makefile ===
--- 
+++ 
@@ -9,29 +9,29 @@
 
 include version.mk
 
-CFLAGS = -g -Wall $(IPR_DEFINES)
+CFLAGS += -g -Wall $(IPR_DEFINES)
 UTILS_VER = $(IPR_MAJOR_RELEASE).$(IPR_MINOR_RELEASE).$(IPR_FIX_LEVEL)
-TAR = cd .. && tar -zcpf iprutils-$(UTILS_VER)-src.tgz --exclude CVS --exclude applied-patches --exclude series --exclude txt --exclude pc --exclude patches --exclude debug --exclude *~* iprutils
+TAR = cd .. && tar -zcpf iprutils-$(UTILS_VER)-src.tgz --exclude .git --exclude CVS --exclude applied-patches --exclude series --exclude txt --exclude pc --exclude patches --exclude debug --exclude *~* iprutils
 
 all: iprconfig iprupdate iprdump iprinit iprdbg docs 
 
 iprconfig: iprconfig.c iprlib.o iprconfig.h
-	$(CC) $(CFLAGS) $(INCLUDEDIR) -o iprconfig iprconfig.c iprlib.o -lform -lpanel -lncurses -lmenu
+	$(CC) $(CFLAGS) $(INCLUDEDIR) -o iprconfig iprconfig.c iprlib.o $(LDFLAGS) -lform -lpanel -lncurses -lmenu -lm
 
 iprupdate: iprupdate.c iprlib.o
-	$(CC) $(CFLAGS) $(INCLUDEDIR) -o iprupdate iprlib.o iprupdate.c
+	$(CC) $(CFLAGS) $(INCLUDEDIR) -o iprupdate iprlib.o iprupdate.c $(LDFLAGS)
 
 iprdump:iprdump.c iprlib.o
-	$(CC) $(CFLAGS) $(INCLUDEDIR) -o iprdump iprlib.o iprdump.c
+	$(CC) $(CFLAGS) $(INCLUDEDIR) -o iprdump iprlib.o iprdump.c $(LDFLAGS)
 
 iprinit:iprinit.c iprlib.o
-	$(CC) $(CFLAGS) $(INCLUDEDIR) -o iprinit iprlib.o iprinit.c
+	$(CC) $(CFLAGS) $(INCLUDEDIR) -o iprinit iprlib.o iprinit.c $(LDFLAGS)
 
 iprdbg:iprdbg.c iprlib.o
-	$(CC) $(CFLAGS) $(INCLUDEDIR) -o iprdbg iprlib.o iprdbg.c
+	$(CC) $(CFLAGS) $(INCLUDEDIR) -o iprdbg iprlib.o iprdbg.c $(LDFLAGS)
 
 iprucode:iprucode.c iprlib.o
-	$(CC) $(CFLAGS) $(INCLUDEDIR) -o iprucode iprlib.o iprucode.c
+	$(CC) $(CFLAGS) $(INCLUDEDIR) -o iprucode iprlib.o iprucode.c $(LDFLAGS)
 
 iprlib.o: iprlib.c iprlib.h
 	$(CC) $(CFLAGS) $(INCLUDEDIR) -o iprlib.o -c iprlib.c

=== debian/changelog ===
iprutils (2.4.5-1~14.04ubuntu1) trusty; urgency=medium

  * debian/patches/0001-ipr-Avoid-segfault-if-scsi_dev_data-NULL.patch:
    ipr: Avoid segfault if scsi_dev_data == NULL.  Closes LP: #1518885.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Mar 2016 15:56:03 -0700

iprutils (2.4.5-1~14.04) trusty; urgency=medium

  * Straight backport to trusty for ppc64el hardware enablement (LP: #1400385)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 21 Jan 2015 15:01:13 -0700

iprutils (2.4.5-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 Nov 2014 15:47:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: iprutils
 Section: admin
 Priority: extra
-Maintainer: Colin Watson <cjwatson@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Colin Watson <cjwatson@debian.org>
 Uploaders: Frederic Bonnard <frediz@linux.vnet.ibm.com>, Breno Leitao <brenohl@br.ibm.com>
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9~), dh-systemd, libncurses5-dev

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #! /usr/bin/make -f
+
+export DEB_CFLAGS_MAINT_APPEND := $(shell dpkg-buildflags --get CPPFLAGS)
+
 %:
-	dh $@
+	dh $@ --with=systemd
 
 override_dh_auto_install:
 	$(MAKE) install INSTALL_MOD_PATH=$(CURDIR)/debian/tmp

=== debian/watch ===
version=3
http://sf.net/iprdd/iprutils-(\d\S*)-src\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## iprutils 2.4.8

=== debian/changelog ===
iprutils (2.4.8-2) unstable; urgency=medium

  * Fix package installation problem related to initialization daemons
    start (closes: #795599).

 -- Breno Leitao <brenohl@br.ibm.com>  Mon, 17 Aug 2015 08:50:19 -0400

iprutils (2.4.8-1) unstable; urgency=medium

  * New upstream release.
  * Install upstream bash completion for iprconfig.

 -- Colin Watson <cjwatson@debian.org>  Mon, 22 Jun 2015 13:36:58 +0100

iprutils (2.4.7-1) unstable; urgency=medium

  * New upstream release (LP: #1459697):
    - Fixup FRU and PN swap in iprconfig (LP: #1433900).
  * Update debian/watch for new upstream tarball naming scheme.
  * Handle new autotools-based build system.
  * Use dh-autoreconf.
  * Restrict math/ncurses linking to iprconfig.
  * Move libipr to a private directory.
  * Remove several hardcoded paths from iprsos.
  * Fix path to iprconfig in iprha init script, working around a bug in
    "make dist".
  * Policy version 3.9.6: no changes required.

 -- Colin Watson <cjwatson@debian.org>  Mon, 01 Jun 2015 14:55:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: iprutils
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Colin Watson <cjwatson@debian.org>
+Maintainer: Colin Watson <cjwatson@debian.org>
 Uploaders: Frederic Bonnard <frediz@linux.vnet.ibm.com>, Breno Leitao <brenohl@br.ibm.com>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 9~), dh-systemd, libncurses5-dev
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9~), dh-autoreconf, dh-exec, dh-systemd, libncurses5-dev, python
 Homepage: http://sourceforge.net/projects/iprdd/
 Vcs-Git: git://anonscm.debian.org/collab-maint/iprutils.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/iprutils.git

=== debian/rules ===
#! /usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND := $(shell dpkg-buildflags --get CPPFLAGS)

%:
	dh $@ --with=autoreconf,systemd

override_dh_auto_configure:
	dh_auto_configure -- \
		--sbindir=/sbin --libdir=/lib \
		am_cv_python_pythondir=\$${prefix}/share/sosreport

override_dh_install:
	dh_install
	chmod +x debian/iprutils/etc/ha.d/resource.d/iprha

override_dh_installinit:
	set -e; for script in iprinit iprdump iprupdate; do \
		ln -nsf ../init.d/$$script debian/iprutils.$$script.init; \
		ln -nsf ../systemd/$$script.service debian/iprutils.$$script.service; \
		dh_installinit --name=$$script; \
	done

## iprutils 2.4.11.1

=== debian/changelog ===
iprutils (2.4.11.1-1) unstable; urgency=medium

  * New upstream release.
    - Mark devices as 4K even if IOA doesn't support 4K AF DASD
      (LP: #1563509).

 -- Colin Watson <cjwatson@debian.org>  Thu, 07 Apr 2016 10:32:20 +0100

iprutils (2.4.10.1-1) unstable; urgency=medium

  * New upstream release (LP: #1522412).
    - Add a command to update all devices to the latest microcode levels
      (LP: #1376109).
  * Don't try to install nonexistent iprdumpfmt.8.

 -- Colin Watson <cjwatson@debian.org>  Tue, 19 Jan 2016 23:02:46 +0000

iprutils (2.4.9-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 31 Oct 2015 14:00:53 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Colin Watson <cjwatson@debian.org>
 Uploaders: Frederic Bonnard <frediz@linux.vnet.ibm.com>, Breno Leitao <brenohl@br.ibm.com>
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9~), dh-autoreconf, dh-exec, dh-systemd, libncurses5-dev, python
+Build-Depends: debhelper (>= 9~), dh-autoreconf, dh-exec, dh-systemd, libncurses5-dev, zlib1g-dev, python
 Homepage: http://sourceforge.net/projects/iprdd/
 Vcs-Git: git://anonscm.debian.org/collab-maint/iprutils.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/iprutils.git
@@ -12,6 +12,7 @@
 Package: iprutils
 Architecture: powerpc ppc64 ppc64el
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 4.1+Debian3)
+Recommends: less
 Description: userspace support for IBM Power Linux RAID SCSI driver
  A suite of utilities to manage and configure SCSI devices supported by the
  ipr SCSI storage device driver.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--sbindir=/sbin --libdir=/lib \
+		--with-systemd=/lib/systemd/system \
+		--with-initscripts=/etc/init.d \
+		--enable-iprdumpfmt --enable-sosreport \
 		am_cv_python_pythondir=\$${prefix}/share/sosreport
 
 override_dh_install:
@@ -16,7 +19,5 @@
 
 override_dh_installinit:
 	set -e; for script in iprinit iprdump iprupdate; do \
-		ln -nsf ../init.d/$$script debian/iprutils.$$script.init; \
-		ln -nsf ../systemd/$$script.service debian/iprutils.$$script.service; \
 		dh_installinit --name=$$script; \
 	done

## iprutils 2.4.13.1

=== debian/changelog ===
iprutils (2.4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 16 Aug 2016 21:18:08 +0100

iprutils (2.4.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 06 Aug 2016 10:19:37 +0100

## iprutils 2.4.14.1

=== debian/changelog ===
iprutils (2.4.14.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 31 Oct 2016 10:38:34 +0000

iprutils (2.4.13.1-2) unstable; urgency=medium

  * When using systemd, only start services when the hardware is present and
    after the ipr driver is loaded (based on a Fedora patch; see LP
    #1417608).

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 Oct 2016 18:40:51 +0100

## iprutils 2.4.15.1

=== debian/changelog ===
iprutils (2.4.15.1-2) unstable; urgency=medium

  * Update copyright years in debian/copyright (thanks, Matthias Klose).
  * Change priority to optional, since "Priority: extra" is now deprecated.
  * Use HTTPS form of copyright-format URL.
  * Policy version 4.1.0.

 -- Colin Watson <cjwatson@debian.org>  Fri, 25 Aug 2017 00:49:26 +0100

iprutils (2.4.15.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 20 Jun 2017 11:15:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: iprutils
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Colin Watson <cjwatson@debian.org>
 Uploaders: Frederic Bonnard <frediz@linux.vnet.ibm.com>, Breno Leitao <brenohl@br.ibm.com>
-Standards-Version: 3.9.6
+Standards-Version: 4.1.0
 Build-Depends: debhelper (>= 9~), dh-autoreconf, dh-exec, dh-systemd, libncurses5-dev, zlib1g-dev, python
 Homepage: http://sourceforge.net/projects/iprdd/
 Vcs-Git: git://anonscm.debian.org/collab-maint/iprutils.git

=== debian/watch ===
version=3
http://sf.net/iprdd/iprutils-(\d\S*)(?:-src\.tgz|\.tar\.gz)

## iprutils 2.4.16.1

=== debian/changelog ===
iprutils (2.4.16.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 10 May 2018 12:37:09 +0100

iprutils (2.4.15.1-3) unstable; urgency=medium

  * Move VCS to salsa.debian.org.

 -- Colin Watson <cjwatson@debian.org>  Sat, 05 May 2018 14:15:43 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Standards-Version: 4.1.0
 Build-Depends: debhelper (>= 9~), dh-autoreconf, dh-exec, dh-systemd, libncurses5-dev, zlib1g-dev, python
 Homepage: http://sourceforge.net/projects/iprdd/
-Vcs-Git: git://anonscm.debian.org/collab-maint/iprutils.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/iprutils.git
+Vcs-Git: https://salsa.debian.org/debian/iprutils.git
+Vcs-Browser: https://salsa.debian.org/debian/iprutils
 
 Package: iprutils
 Architecture: powerpc ppc64 ppc64el

## iprutils 2.4.17.1

=== debian/changelog ===
iprutils (2.4.17.1-2) unstable; urgency=medium

  * Update Homepage and debian/copyright Source to use HTTPS.

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Feb 2019 19:12:12 +0000

iprutils (2.4.17.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Colin Watson ]
  * New upstream release.
    - Build changes to better support different ncurses versions (closes:
      #891782).
    - Activate ipr* systemd units via a udev rule.
  * Set Rules-Requires-Root: no.
  * Adjust packaging to use udev activation when running under systemd.
  * Drop Upstart compatibility patch from init scripts, since it was removed
    from both Debian and Ubuntu some time ago.
  * Drop dh-systemd build-dependency in favour of debhelper (>=
    9.20160709~).

 -- Colin Watson <cjwatson@debian.org>  Sat, 03 Nov 2018 08:20:44 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Colin Watson <cjwatson@debian.org>
 Uploaders: Frederic Bonnard <frediz@linux.vnet.ibm.com>, Breno Leitao <brenohl@br.ibm.com>
 Standards-Version: 4.1.0
-Build-Depends: debhelper (>= 9~), dh-autoreconf, dh-exec, dh-systemd, libncurses5-dev, zlib1g-dev, python
-Homepage: http://sourceforge.net/projects/iprdd/
+Build-Depends: debhelper (>= 9.20160709~), dh-autoreconf, dh-exec, libncurses5-dev, zlib1g-dev, python
+Homepage: https://sourceforge.net/projects/iprdd/
 Vcs-Git: https://salsa.debian.org/debian/iprutils.git
 Vcs-Browser: https://salsa.debian.org/debian/iprutils
+Rules-Requires-Root: no
 
 Package: iprutils
 Architecture: powerpc ppc64 ppc64el

=== debian/rules ===
#! /usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND := $(shell dpkg-buildflags --get CPPFLAGS)

%:
	dh $@ --with=autoreconf,systemd

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/ --mandir=/usr/share/man \
		--with-initscripts=/etc/init.d \
		--enable-iprdumpfmt --enable-sosreport \
		am_cv_python_pythondir=/usr/share/sosreport

override_dh_install:
	dh_install
	chmod +x debian/iprutils/etc/ha.d/resource.d/iprha

override_dh_installinit:
	set -e; for script in iprinit iprdump iprupdate; do \
		dh_installinit --no-start --name=$$script; \
	done

override_dh_systemd_start:
	dh_systemd_start --restart-after-upgrade --no-start

## iprutils 2.4.18.1

=== debian/changelog ===
iprutils (2.4.18.1-2) unstable; urgency=medium

  * Use debhelper-compat instead of debian/compat.
  * Build using python3.

 -- Colin Watson <cjwatson@debian.org>  Sat, 03 Aug 2019 13:19:23 +0100

iprutils (2.4.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Jun 2019 15:26:02 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Colin Watson <cjwatson@debian.org>
 Uploaders: Frederic Bonnard <frediz@linux.vnet.ibm.com>, Breno Leitao <brenohl@br.ibm.com>
 Standards-Version: 4.1.0
-Build-Depends: debhelper (>= 9.20160709~), dh-autoreconf, dh-exec, libncurses5-dev, zlib1g-dev, python
+Build-Depends: debhelper (>= 9.20160709~), debhelper-compat (= 9), dh-autoreconf, dh-exec, libncurses5-dev, zlib1g-dev, python3
 Homepage: https://sourceforge.net/projects/iprdd/
 Vcs-Git: https://salsa.debian.org/debian/iprutils.git
 Vcs-Browser: https://salsa.debian.org/debian/iprutils

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@ --with=autoreconf,systemd
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
+	PYTHON=python3 dh_auto_configure -- \
 		--prefix=/ --mandir=/usr/share/man \
 		--with-initscripts=/etc/init.d \
 		--enable-iprdumpfmt --enable-sosreport \

=== debian/watch ===
version=3
https://sf.net/iprdd/iprutils-(\d\S*)(?:-src\.tgz|\.tar\.gz)

## iprutils 2.4.19

=== debian/changelog ===
iprutils (2.4.19-4) unstable; urgency=medium

  * Mark as Architecture: any, since apparently some IBM Power RAID
    controllers can be used on non-Power systems (closes: #1117112).

 -- Colin Watson <cjwatson@debian.org>  Fri, 03 Oct 2025 14:23:03 +0100

iprutils (2.4.19-3) unstable; urgency=medium

  [ Colin Watson ]
  * Apply X-Style: black.

  [ Michael Biebl ]
  * Move aliased files from / to /usr (DEP17). (Closes: #1087733)

 -- Colin Watson <cjwatson@debian.org>  Sun, 17 Nov 2024 23:20:59 +0100

iprutils (2.4.19-2) unstable; urgency=medium

  * Simplify a debhelper override slightly.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.1.1, no changes needed.
  * Remove dependency on obsolete lsb-base.
  * Build-depend on libncurses-dev rather than obsolete libncurses5-dev.

 -- Colin Watson <cjwatson@debian.org>  Tue, 26 Dec 2023 16:21:54 +0000

iprutils (2.4.19-1) unstable; urgency=medium

  * Remove obsolete Upstart configuration.
  * Upgrade to debhelper v13.
  * Update various metadata for new upstream URL.
  * New upstream release.
  * Remove sosreport plugin: it was installed to a path that didn't work
    with recent sosreport packages, and sosreport now seems to include its
    own more extensive iprconfig plugin.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Dec 2021 00:09:47 +0000

iprutils (2.4.18.1-3) unstable; urgency=medium

  [ Matthias Klose ]
  * Allow to build without the udeb.

 -- Colin Watson <cjwatson@debian.org>  Thu, 25 Feb 2021 12:31:12 +0000

=== debian/control ===
Source: iprutils
Section: admin
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Uploaders:
 Frederic Bonnard <frediz@linux.vnet.ibm.com>,
 Breno Leitao <brenohl@br.ibm.com>,
Standards-Version: 4.1.1
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 libncurses-dev,
 zlib1g-dev,
Homepage: https://github.com/bjking1/iprutils
Vcs-Git: https://salsa.debian.org/debian/iprutils.git
Vcs-Browser: https://salsa.debian.org/debian/iprutils
Rules-Requires-Root: no
X-Style: black

Package: iprutils
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 less,
Description: userspace support for IBM Power Linux RAID SCSI driver
 A suite of utilities to manage and configure SCSI devices supported by the
 ipr SCSI storage device driver.

Package: iprutils-udeb
Section: debian-installer
Architecture: any
Package-Type: udeb
Build-Profiles: <!noudeb>
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: userspace support for IBM Power Linux RAID SCSI driver
 A suite of utilities to manage and configure SCSI devices supported by the
 ipr SCSI storage device driver.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND := $(shell dpkg-buildflags --get CPPFLAGS)

%:
	dh $@

override_dh_auto_configure:
	PYTHON=python3 dh_auto_configure -- \
		--prefix=/usr --mandir=/usr/share/man \
		--with-initscripts=/etc/init.d \
		--enable-iprdumpfmt

execute_after_dh_install:
	chmod +x debian/iprutils/etc/ha.d/resource.d/iprha

override_dh_installinit:
	set -e; for script in iprinit iprdump iprupdate; do \
		dh_installinit --only-scripts --no-start --name=$$script; \
	done

override_dh_installsystemd:
	dh_installsystemd -piprutils --no-start \
		iprinit.service iprdump.service iprupdate.service \
		iprutils.target

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%, uversionmangle=s%^rel-%%; s%-%.%g" \
    https://github.com/bjking1/iprutils/tags \
    (?:.*?/)?rel-@ANY_VERSION@@ARCHIVE_EXT@
